# Xceed DataGrid for JavaScript

Say hello to your new JavaScript data grid!

Xceed is proud to release Xceed DataGrid for JavaScript. It may be new, but it is much more than a simple version 1.0! You will be able to use the DataGrid across many frameworks, starting with the popular Angular and React, and Vue.js to soon follow.

# License

A Commercial license for the Xceed DataGrid for JavaScript control is required. Visit [xceed.com](https://xceed.com/xceed-datagrid-for-js) to purchase a license.

# Features

Xceed DataGrid for JavaScript is already feature rich!

This may be a new product, but with 2 years in the making, it is far from being a simple v1.0 and comes with many useful features already included.

# Simple Column Management

The Width, Position and Visibility of each column can be easily modified. Ability to provide a custom viewer to personalize the look of the information in each column.

- Easy to modify Viewers

# Data Binding

Support for both local data sources and async data sources such as one from an external server.

- Local data source
- Async data sources

# Data Manipulation

Easy to use Grouping, Sorting and Filtering. Grouping includes the ability to provide your own custom comparer and have predefined groups

- Grouping
- Sorting
- Filtering

# Flexible Layout options

Ability to use the default ‘endless mode’ or opt for a Data Pager mode which is better adapted for larger data sets.

- Endless mode
- Data Pager mode

# Editing and Validation

Ability to specify the specific edit triggers to be used to activate edition, such as key press and mouse clicks; some hooks are available built-in but custom ones can also be provided. It is possible to provide your own viewers/editors/formatters or use the default ones that are included. Custom validation rules can be provided, but again there are some available built-in that are ready to use.

- Support for various edit triggers
- Viewers, Editors and Formatters
- Validation rules

# Custom Styles

Many of the grid’s element can be customized with styles, even specific states on the data row (is selected, is alternate) and on data cell (is current, is invalid) can be made to use a specific custom style. Validation errors are also stylable.

- Many elements can be customized with a style
- Even specific states can have their style customized
- Validation errors are also stylable

# Themes

The grid includes four (4) built-in themes, with more to come; they are ready to use and easy to modify. All included themes support both light and dark variants.

- Ready to use
- Easy to modify
- Two built-in themes with more to come
- Included themes support both light and dark variants

# Support for Frameworks and Libraries

The grid already supports both React and Angular out of the box. Support for Vue.js is coming soon

- Angular
- React
- Vue.js (coming soon)

# Get Started!

- You can find our samples [here](https://demo.xceed.com/samples/xceed-datagrid-js/index.html)
- Our detailed documentation can be found [here](https://doc.xceed.com/xceed-datagrid-js/Default.htm)
- Need help? Contact [us!](https://xceed.com/en/contact-us)
