/*!  ==========================================================================
  Xceed DataGrid for JavaScript (Angular) - DISTRIBUTION CODE
  Version 1.7.0
  Copyright (c) 2020-present, Xceed Software Inc.

  This file is part of the Xceed DataGrid for JavaScript (Angular) product. The use and
  distribution of this Distribution Code is subject to the terms
  and conditions referring to "Distribution Code" that are specified in
  the XCEED SOFTWARE LICENSE AGREEMENT accompanying this product.
  Please see Licenses.pdf for a complete description.
============================================================================ */
import { AfterViewInit, ElementRef, EventEmitter, OnChanges, SimpleChanges } from "@angular/core";
import { ColumnChangedEventArgs as ColumnChangedEventArgsCore, DataSource, FilterChangedEventArgs as FilterChangedEventArgsCore, FilterDefinitionCollection, GroupChangedEventArgs as GroupChangedEventArgsCore, PartialColumnDefinition, PartialDataGridOptions, PartialExperimentalOptions, PartialFilterOptionsByType, PartialGroupConfigurationCollection, PartialGroupDefinition, PartialSortConfigurationCollection, PartialSortDefinition, SelectionChangedEventArgs as SelectionChangedEventArgsCore, SortChangedEventArgs as SortChangedEventArgsCore, SortChangingEventArgs as SortChangingEventArgsCore } from "xceed-datagrid";
export declare class DataGridComponent implements AfterViewInit, OnChanges {
    container: ElementRef;
    dataSource: DataSource;
    columnDefinitions: PartialColumnDefinition[];
    experimental: PartialExperimentalOptions;
    filterDefinitions: FilterDefinitionCollection;
    filterOptions: PartialFilterOptionsByType;
    groupConfigurations: PartialGroupConfigurationCollection;
    groupDefinitions: PartialGroupDefinition[];
    sortConfigurations: PartialSortConfigurationCollection;
    sortDefinitions: PartialSortDefinition[];
    options: PartialDataGridOptions;
    columnChanged: EventEmitter<ColumnChangedEventArgs>;
    filterChanged: EventEmitter<FilterChangedEventArgs>;
    groupChanged: EventEmitter<GroupChangedEventArgs>;
    sortChanging: EventEmitter<SortChangingEventArgs>;
    sortChanged: EventEmitter<SortChangedEventArgs>;
    selectionChanged: EventEmitter<SelectionChangedEventArgs>;
    private dataGrid?;
    constructor();
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private onColumnChanged;
    private onFilterChanged;
    private onGroupChanged;
    private onSortChanging;
    private onSortChanged;
    private onSelectionChanged;
}
export declare type ColumnChangedEventArgs = Omit<ColumnChangedEventArgsCore, "datagrid">;
export declare type FilterChangedEventArgs = Omit<FilterChangedEventArgsCore, "datagrid">;
export declare type GroupChangedEventArgs = Omit<GroupChangedEventArgsCore, "datagrid">;
export declare type SortChangingEventArgs = Omit<SortChangingEventArgsCore, "datagrid">;
export declare type SortChangedEventArgs = Omit<SortChangedEventArgsCore, "datagrid">;
export declare type SelectionChangedEventArgs = Omit<SelectionChangedEventArgsCore, "datagrid">;
